#****************************************************************************
#**
#**  File     :  /cdimage/units/XSB1201/XSB1201_script.lua
#**  Author(s):  Dru Staltman
#**
#**  Summary  :  Seraphim T2 Power Generator Script
#**
#**  Copyright © 2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************
local SEnergyCreationUnit = import('/lua/seraphimunits.lua').SEnergyCreationUnit

USBX201 = Class(SEnergyCreationUnit) {
    AmbientEffects = 'ST2PowerAmbient',
    
    OnStopBeingBuilt = function(self,builder,layer)
        SEnergyCreationUnit.OnStopBeingBuilt(self,builder,layer)
        self.Trash:Add(CreateRotator(self, 'Spinner', 'y', nil, 0, 10, 200))
        self.Trash:Add(CreateRotator(self, 'Spinner', 'x', nil, 0, 20, 300))
        self.Trash:Add(CreateRotator(self, 'Spinner', 'z', nil, 0, 30, 400))
        self.Trash:Add(CreateRotator(self, 'Core', 'y', nil, 0, 5, 100))
        self.Trash:Add(CreateRotator(self, 'Base', 'y', nil, 0, -2, -40))
    end,
}
TypeClass = USBX201